ufw --dry-run throws a python exception

Bug #946332 reported by Leon on 2012-03-04
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ufw (Ubuntu)
Low
Jamie Strandboge

Bug Description

The traceback:

    leon@polly:~$ ufw --dry-run
    Invalid syntax
    Traceback (most recent call last):
      File "/usr/sbin/ufw", line 71, in <module>
        pr = ufw.frontend.parse_command(sys.argv)
      File "/usr/lib/python2.7/dist-packages/ufw/frontend.py", line 80, in parse_command
        pr = p.parse_command(argv[1:])
      File "/usr/lib/python2.7/dist-packages/ufw/parser.py", line 727, in parse_command
        tmp = args[0].lower()
    IndexError: list index out of range

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: ufw 0.30.1-2ubuntu2
ProcVersionSignature: Ubuntu 3.2.0-17.27-generic 3.2.6
Uname: Linux 3.2.0-17-generic x86_64
ApportVersion: 1.94-0ubuntu1
Architecture: amd64
Date: Sun Mar 4 14:36:52 2012
EcryptfsInUse: Yes
InstallationMedia:

PackageArchitecture: all
SourcePackage: ufw
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

Leon (leonbo) wrote :
Hans Joachim Desserud (hjd) wrote :

Thanks for reporting this issue.

I get the same traceback when attempting to run "ufw --dry-run" on Ubuntu Precise. I guess the reason is that it ries to run an option from the commandline arguments which should be run as a dry-run. However, it tries to run a non-existing argument since it wasn't specified. It should probably check whether an argument is specified rather than simply crashing.

Changed in ufw (Ubuntu):
status: New → Confirmed
Changed in ufw (Ubuntu):
assignee: nobody → Jamie Strandboge (jdstrand)
importance: Undecided → Low
status: Confirmed → Triaged
Changed in ufw (Ubuntu):
status: Triaged → In Progress
Jamie Strandboge (jdstrand) wrote :

This is committed to trunk and will be in the next ufw upload.

Changed in ufw (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ufw - 0.31-0ubuntu1

---------------
ufw (0.31-0ubuntu1) precise; urgency=low

  * New upstream release which fixes:
    - LP: #921758
    - LP: #946332
    - LP: #947224
    - LP: #947416
    - LP: #611838
    - LP: #663632
    - LP: #840500
  * debian/control: use ufw-0.31-precise for Vcs-Bzr
  * debian/po/nl.po: add Dutch translation of debconf templates. Thanks to
    Jeroen Schot (Closes: 658495)
 -- Jamie Strandboge <email address hidden> Fri, 09 Mar 2012 13:23:36 -0600

Changed in ufw (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers